# Get Address Profile

This API endpoint allows users to easily track which platforms an address has interacted with, such as exchanges, mixers, DeFi protocols, and NFT platforms. It also identifies any associated malicious events and provides additional information about the address, including used wallets, ENS names, and linked Twitter profiles.

#### HTTP Request

```shell
GET https://openapi.misttrack.io/v1/address_trace
   ?coin=ETH
   &address=0xb3065fe2125c413e973829108f23e872e1db9a6b
   &api_key=YourApiKey
```

> Try this endpoint in your [browser](https://openapi.misttrack.io/v1/address_trace?coin=ETH\&address=0xb3065fe2125c413e973829108f23e872e1db9a6b\&api_key=YourApiKey) 🔗

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table><thead><tr><th width="185.66666666666666">Parameter</th><th width="112">Type</th><th>Description</th></tr></thead><tbody><tr><td>coin</td><td>string</td><td>the coin to check for address profile, <strong>all optional values can be found</strong> <a href="/pages/4iOi28DV0NUUh4ETEpMx#multi-chain-support"><strong>here</strong></a></td></tr><tr><td>address</td><td>string</td><td>the address to check</td></tr><tr><td>api_key</td><td>string</td><td>your api key</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}
Response Data Parameters

<table><thead><tr><th width="237">Parameter</th><th width="83.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>first_address</td><td>string</td><td>The source wallet address of the gas fee, or the label of the source address.</td></tr><tr><td>use_platform</td><td>dict</td><td>Includes four fields: <code>exchange</code>, <code>dex</code>, <code>mixer</code>,  <code>nft</code>.</td></tr><tr><td>malicious_event</td><td>dict</td><td>Includes four fields: <code>phishing</code>, <code>ransom</code>, <code>stealing</code>, <code>laundering</code>.</td></tr><tr><td>relation_info</td><td>dict</td><td>Includes three fields: <code>wallet</code>, <code>ens</code>, <code>twitter</code>.</td></tr></tbody></table>

Sample Response

```json
{
    "success": true, 
    "msg": "", 
    "data": {
        "first_address": "sideshift.ai", 
        "use_platform": {
            "exchange": {
                "count": 1, 
                "exchange_list": [
                    "Binance"
                ]
            }, 
            "dex": {
                "count": 3, 
                "dex_list": [
                    "Uniswap", 
                    "SushiSwap", 
                    "Multichain"
                ]
            }, 
            "mixer": {
                "count": 2, 
                "mixer_list": [
                    "Tornado.Cash", 
                    "sideshift.ai"
                ]
            }, 
            "nft": {
                "count": 0, 
                "nft_list": [ ]
            }
        }, 
        "malicious_event": {
            "phishing": {
                "count": 0, 
                "phishing_list": [ ]
            }, 
            "ransom": {
                "count": 0, 
                "ransom_list": [ ]
            }, 
            "stealing": {
                "count": 5, 
                "stealing_list": [
                    "MMFinance Exploiter"
                ]
            }, 
            "laundering": {
                "count": 0, 
                "laundering_list": [ ]
            }
        }, 
        "relation_info": {
            "wallet": {
                "count": 0, 
                "wallet_list": [ ]
            }, 
            "ens": {
                "count": 2, 
                "ens_list": [
                    "destruction.eth", 
                    "poma.eth"
                ]
            }, 
            "twitter": {
                "count": 1, 
                "twitter_list": [
                    " @destructioneth"
                ]
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

#### [Rate Limits](https://docs.misttrack.io/openapi/overview#rate-limits)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.misttrack.io/api-endpoints/get-address-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
